"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Column_1 = require("../structures/Column");
function sanitize(columns, arr, limit) {
    if (!Array.isArray(arr))
        return sanitize(columns, [arr]);
    const len2 = columns.length;
    limit = limit ?? arr.length;
    for (let i = 0, len = limit > arr.length ? arr.length : limit; i < len; i++) {
        const data = arr[i] ?? {};
        for (let x = 0; x < len2; x++) {
            const column = columns[x];
            const value = data[column.name];
            if (value === null) {
                data[column.name] = column.default;
            }
            else {
                data[column.name] = Column_1.Column.deserialize(column, value);
            }
        }
        arr[i] = data;
    }
    return arr;
}
exports.default = sanitize;
//# sourceMappingURL=sanitize.js.map