"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DatabaseError_1 = require("../structures/DatabaseError");
function default_1(columns, data) {
    const d = {};
    for (let i = 0, len = columns.length; i < len; i++) {
        const column = columns[i];
        const value = data[column.name];
        if (value === undefined) {
            continue;
        }
        if (value === null) {
            d[column.name] = null;
            continue;
        }
        if (value.add !== undefined) {
            d[column.name] = value.add;
        }
        else if (value.set !== undefined) {
            d[column.name] = value.set;
        }
        else if (value.sub !== undefined) {
            d[column.name] = column.default;
        }
        else {
            throw new DatabaseError_1.DatabaseError("NO_CONDITION_FOUND", column.name);
        }
    }
    return d;
}
exports.default = default_1;
//# sourceMappingURL=updateToInsert.js.map