import { ColumnDataType } from "../typings/enums/ColumnDataType";
import { ColumnData } from "../typings/interfaces/ColumnData";
import { ColumnDataTypes } from "../typings/types/ColumnDataTypes";
import { If } from "../typings/types/If";
export declare class Column<T extends boolean = boolean> {
    #private;
    data: ColumnData<T>;
    private rawDefault;
    constructor(data?: ColumnData<T>);
    setAutoIncrementing(bool: boolean): this;
    setDefault(value: unknown): this;
    get adaptedDefault(): If<T, unknown, null> | null;
    get default(): If<T, unknown, null> | null;
    setPrimary(bool: boolean): this;
    setNotNull(bool: boolean): this;
    get name(): If<T, string, null>;
    toString(): string;
    static deserialize(column: Column<true>, value: unknown): unknown;
    static serialize(column: Column<true>, value: unknown): unknown;
    isBigInt(): boolean;
    isBoolean(): boolean;
    isJSON(): boolean;
    setType(type: ColumnDataTypes | ColumnDataType): this;
    setName(name: string): this;
}
//# sourceMappingURL=Column.d.ts.map