import { RunResult } from "better-sqlite3";
import { Database } from "../core/Database";
import { SqliteQueryOptions } from "../typings/interfaces/SqliteQueryOptions";
import { SqliteSortOption } from "../typings/interfaces/SqliteSortOption";
import { SqliteWhereOption } from "../typings/interfaces/SqliteWhereOption";
import { DataResolvable, InsertDataResolvable } from "../typings/types/DataResolvable";
import { Column } from "./Column";
export declare class Table {
    #private;
    columns: Column<true>[];
    name: string;
    constructor(name: string, db?: Database);
    toValuesString(): string;
    private setDatabase;
    get(id: string): InsertDataResolvable;
    get(options: Exclude<string | SqliteQueryOptions["where"], undefined>): InsertDataResolvable;
    delete(options?: SqliteQueryOptions): RunResult;
    private emit;
    getRowPosition(sortOptions: SqliteSortOption, whereOptions: SqliteWhereOption | SqliteWhereOption[]): number | null;
    get db(): Database<unknown>;
    has(id: string): boolean;
    has(options: Exclude<string | SqliteQueryOptions["where"], undefined>): boolean;
    getRowCount(options?: SqliteQueryOptions): number;
    private drop;
    set(data: DataResolvable, options: SqliteWhereOption | SqliteWhereOption[]): boolean;
    update(data: DataResolvable, options: SqliteQueryOptions): RunResult;
    all(options?: SqliteQueryOptions): InsertDataResolvable[];
    insertMany(data: InsertDataResolvable[]): RunResult;
    upsert(data: InsertDataResolvable, options: SqliteWhereOption | SqliteWhereOption[]): boolean;
    insert(data: InsertDataResolvable): RunResult;
    toCreationString(): string;
    createColumn(column: Column): this;
    hasColumn(column: Column): boolean;
    get primary(): Column<true> | null;
    addColumns(column: Column): this;
    addColumns(...columns: Column[]): this;
    addColumns(...columns: Column[] | Column[][]): this;
}
//# sourceMappingURL=Table.d.ts.map