import { RunResult } from "better-sqlite3";
import { Async, DataResolvable, InsertDataResolvable } from "..";
import { Table } from "../..";
import { SqliteQueryUnion } from "../types/SqliteQueryUnion";
export interface DatabaseEvents {
    delete: (table: Table, query: SqliteQueryUnion, result: RunResult) => Async<void>;
    update: (table: Table, query: SqliteQueryUnion, data: DataResolvable, result: RunResult) => Async<void>;
    insert: (table: Table, query: SqliteQueryUnion, data: InsertDataResolvable | InsertDataResolvable[], result: RunResult) => Async<void>;
    get: (table: Table, query: SqliteQueryUnion, data: InsertDataResolvable) => Async<void>;
    has: (table: Table, query: SqliteQueryUnion, has: boolean) => Async<void>;
    all: (table: Table, query: SqliteQueryUnion, data: InsertDataResolvable[]) => Async<void>;
    ready: () => Async<void>;
    expire: (table: Table, data: InsertDataResolvable) => Async<void>;
    query: (table: Table, query: string) => Async<void>;
}
//# sourceMappingURL=DatabaseEvents.d.ts.map